List site elements
curl --request GET \
--url https://api.app.hrizn.io/v1/public/site/elements \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/site/elements"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/site/elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/site/elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/site/elements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"elements": [
{
"id": "b3933cb2-5176-4255-907e-b508ea8927d9",
"type": "staff",
"content": {
"role": "Master Technician",
"imageKey": null,
"lastName": "Armorer",
"firstName": "Shawn",
"yearHired": 2016
},
"created_at": "2026-02-27T19:47:53.347064+00:00",
"updated_at": "2026-02-27T19:47:53.347064+00:00"
},
{
"id": "41749ea2-38eb-4cc2-9779-93dcbeb4ad53",
"type": "staff",
"content": {
"role": "Master Technician",
"imageKey": null,
"lastName": "Schlesinger",
"firstName": "Eric",
"yearHired": 2016
},
"created_at": "2026-02-23T18:46:08.234091+00:00",
"updated_at": "2026-02-23T18:46:08.234091+00:00"
}
]
}
}
Get elements
List all raw site elements (staff, links, target geographies, etc.)
GET
/
site
/
elements
List site elements
Returns all raw site elements configured for this site. Each element has a
type and a content object whose shape varies by type.
This is a low-level endpoint — for more convenient access, use the typed endpoints like Get staff, Get links, and Get target geography.
Scope required: site:read
{
"data": {
"elements": [
{
"id": "b3933cb2-5176-4255-907e-b508ea8927d9",
"type": "staff",
"content": {
"role": "Master Technician",
"imageKey": null,
"lastName": "Armorer",
"firstName": "Shawn",
"yearHired": 2016
},
"created_at": "2026-02-27T19:47:53.347064+00:00",
"updated_at": "2026-02-27T19:47:53.347064+00:00"
},
{
"id": "41749ea2-38eb-4cc2-9779-93dcbeb4ad53",
"type": "staff",
"content": {
"role": "Master Technician",
"imageKey": null,
"lastName": "Schlesinger",
"firstName": "Eric",
"yearHired": 2016
},
"created_at": "2026-02-23T18:46:08.234091+00:00",
"updated_at": "2026-02-23T18:46:08.234091+00:00"
}
]
}
}
The
content object shape varies by element type. Common types include staff, link, target_geo, marketing, and why_buys. Use the typed sub-endpoints for a more structured response.Authorizations
Your Hrizn API key (prefix hzk_)
Query Parameters
Filter by element type
Last modified on February 28, 2026
⌘I
